Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.io
Class SocketInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.apache.commons.net.io.SocketInputStream

public class SocketInputStream
extends java.io.FilterInputStream

This class wraps an input stream, storing a reference to its originating socket. When the stream is closed, it will also close the socket immediately afterward. This class is useful for situations where you are dealing with a stream originating from a socket, but do not have a reference to the socket, and want to make sure it closes when the stream closes.

Author:
  Daniel F. Savarese
See Also:
  `SocketOutputStream`

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`SocketInputStream(java.net.Socket socket, java.io.InputStream stream)` Creates a SocketInputStream instance wrapping an input stream and storing a reference to a socket that should be closed on closing the stream.

Method Summary
`void` | `close()` Closes the stream and immediately afterward closes the referenced socket.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketInputStream

    public SocketInputStream(java.net.Socket socket,
                             java.io.InputStream stream)

  Creates a SocketInputStream instance wrapping an input stream and storing a reference to a socket that should be closed on closing the stream.

Parameters:
  `socket` - The socket to close on closing the stream.
  `stream` - The input stream to wrap.

Method Detail

### close

    public void close()
               throws java.io.IOException

  Closes the stream and immediately afterward closes the referenced socket.

  Overrides:
    `close` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException` - If there is an error in closing the stream or socket.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.